%global themename graphite
%global upname Graphite
%global filename %{themename}-gtk-theme
%global gitdate 20230602
%global gitrev 4181624
%global gitcommit %{gitdate}git%{gitrev}
%global debug_package %{nil}

Name:           %{themename}-gtk-theme
Version:        0
Release:        2%{?gitcommit:.%{gitcommit}}%{?dist}
Summary:        A theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock
License:        GPLv3
URL:            https://github.com/vinceliuice/Graphite-gtk-theme
Source0:        %{filename}-%{version}%{?gitcommit:-%{gitcommit}}.tar.xz
BuildRequires:  gnome-shell, sassc
Requires:       gtk2, gtk3, gtk4, gtk-murrine-engine, libadwaita, plank, xfwm4
Requires:       tela-icon-theme
BuildArch:      noarch

%description
Graphite is a theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock.


%package -n %{themename}-dark-gtk-theme
Summary:        A theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock
Requires:       gtk2, gtk3, gtk4, gtk-murrine-engine, libadwaita, plank, xfwm4
Requires:       tela-circle-dark-icon-theme

%description -n %{themename}-dark-gtk-theme
Graphite is a theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock.
This is the collection of dark themes.


%package -n %{themename}-light-gtk-theme
Summary:        A theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock
Requires:       gtk2, gtk3, gtk4, gtk-murrine-engine, libadwaita, plank, xfwm4
Requires:       tela-circle-icon-theme

%description -n %{themename}-light-gtk-theme
Graphite is a theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock.
This is the collection of light themes.

%package -n grub2-%{themename}-theme
Summary:        A theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock
ExcludeArch: s390 s390x %{arm}
%ifnarch aarch64
Requires:   grub2
%else
Requires:   grub2-efi
%endif

%description -n grub2-%{themename}-theme
Graphite is a theme for GTK+ 2, GTK+ 3, GTK+ 4, Gnome Shell, Cinnamon, Xfwm4 and the Plank dock.
This is the theme for the Grub 2 boot loader.



%prep
%autosetup -n %{upname}-gtk-theme


%build


%install
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/themes
./install.sh -d $RPM_BUILD_ROOT%{_datadir}/themes

pushd other/grub2
install -d -m 755 $RPM_BUILD_ROOT/boot/grub2/themes
./install.sh -j -d $RPM_BUILD_ROOT/boot/grub2/themes
popd

cat > README.fedora << EOF
To use this theme, edit /etc/sysconfig/grub to include:
GRUB_THEME="/boot/grub2/themes/%{upname}/theme.txt"
and comment-out the following line (by adding a '#' at the very beginning):
GRUB_TERMINAL_OUTPUT="console"

Finally, run 
grub2-mkconfig -o /boot/grub2/grub.cfg
EOF



%files
%license LICENSE
%doc README.md
%{_datadir}/themes/Graphite
%{_datadir}/themes/Graphite-hdpi
%{_datadir}/themes/Graphite-xhdpi

%files -n %{themename}-dark-gtk-theme
%{_datadir}/themes/Graphite-Dark
%{_datadir}/themes/Graphite-Dark-hdpi
%{_datadir}/themes/Graphite-Dark-xhdpi

%files -n %{themename}-light-gtk-theme
%{_datadir}/themes/Graphite-Light
%{_datadir}/themes/Graphite-Light-hdpi
%{_datadir}/themes/Graphite-Light-xhdpi

%files -n grub2-%{themename}-theme
%license LICENSE
%doc README.fedora
/boot/grub2/themes/%{upname}


%changelog
* Thu Jun 29 2023 Andrea Santilli - 0-2.20230602git4181624
- Update the README with more correct information.

* Fri Jun 09 2023 Andrea Santilli - 0-1.20230602git4181624
- Initial RPM release.

